Récupérer le statut du job
curl --request GET \
--url https://api.devin.ai/beta/v2/enterprise/repositories/{org_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/beta/v2/enterprise/repositories/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"indexing_enabled": true,
"latest_completed_search_index_job": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"status": "failed"
},
"latest_completed_wiki_index_job": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"status": "failed"
},
"latest_index": {
"commit": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"status": "failed"
},
"name": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Endpoints du dépôt (bêta)
Obtenir le statut d'indexation des dépôts
Récupérer le statut d’indexation des dépôts pour une organisation donnée.
GET
/
beta
/
v2
/
enterprise
/
repositories
/
{org_id}
Récupérer le statut du job
Ce point de terminaison renvoie le statut d’indexation actuel de tous les dépôts associés à l’organisation spécifiée. La réponse inclut des informations sur les tâches d’indexation, les SHA de commit et les horodatages pour chaque dépôt.
Autorisations
API Key personnelle (apk_user_*) réservée uniquement aux administrateurs Enterprise
Paramètres de chemin
Réponse
Réponse en cas de succès
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

